com.pdfunit

## Enum DateResolution

- java.lang.Object
- - java.lang.Enum<DateResolution>
  - - com.pdfunit.DateResolution

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DateResolution>, java.util.Comparator<java.util.Calendar>

      @DoNotObfuscate
      public enum DateResolution
      extends java.lang.Enum<DateResolution>
      implements java.util.Comparator<java.util.Calendar>

  Enumeration containing formats for DATE and DATETIME.
  Since:
    2013.01
  Author:
    Carsten Siedentop, February 2011

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE`
    `DATETIME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.util.Calendar left, java.util.Calendar right)` This methods formats the two instances given by the parameters and compares them as string values.
    `java.lang.String` | `format(java.util.Calendar calendar)` This method returns a formatted date string of the calender instance, given by the parameter, according to the date pattern of the instance of this enumeration.
    `java.lang.String` | `getPattern()` This method returns the pattern holded by the instance of this enumeration.
    `static DateResolution` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DateResolution[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Enum Constant Detail

    - #### DATE

          public static final DateResolution DATE

    - #### DATETIME

          public static final DateResolution DATETIME

  - ### Method Detail

    - #### values

          public static DateResolution[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DateResolution c : DateResolution.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DateResolution valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPattern

          public java.lang.String getPattern()

      This method returns the pattern holded by the instance of this enumeration.

    - #### compare

          @Guarded
          public int compare(java.util.Calendar left,
                            java.util.Calendar right)

      This methods formats the two instances given by the parameters and compares them as string values.

      The two parameters can't be null, because they are instances of this

      Specified by:
        `compare` in interface `java.util.Comparator<java.util.Calendar>`

    - #### format

          @Guarded
          public java.lang.String format(java.util.Calendar calendar)

      This method returns a formatted date string of the calender instance, given by the parameter, according to the date pattern of the instance of this enumeration.

Copyright (C) PDFUnit.com. See here for license.